
@import '../../../styles/variables';
@import '../../../styles/theme';

.button-song-spotify{
    width: 95%;
    min-width: 300;
    background-color: var(--main-color);
    display: flex;
    align-items: center;
    column-gap: 10px;
    border: 1px solid var(--secondary-color);
    border-radius: .5rem;
    padding: 0.2rem;
    background-color: var(--base-color);
    color: var(--font-main);
    margin: auto;   
    

    figure{
        width: 10%;
        min-width: 50px;
        padding:0;
        margin: 0;
        img{
            max-width: 130px;
        }
    }
    .button-song-spotify__song-name_artist{
        width: 70%;
        min-width: 150px;
        h4,p{
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        }
        @media (min-width: $large) {
            width: 50%;

        }
    }
    .button-song-spotify__song-album{
        width: 30%;
        display: none;
        p{
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden
            }
        @media (min-width: $large) {
            display: block;
        }
    }
    .button-song-spotify__song-save_duration{
        width: 20%;
        min-width: 45px;
        display: flex;
        column-gap: 10px;
        justify-content: center;
        h4{
            display: none;
            @media (min-width: $s-medium) {
                display: block;
            }
        }

    }
}